{
  outputs,
  pkgs,
  pkgs-edge,
  ...
}: {
  nixpkgs = {
    # You can add overlays here
    overlays = [
      # Add overlays your own flake exports (from overlays and pkgs dir):
      outputs.overlays.additions
      outputs.overlays.modifications
    ];
  };

  environment.systemPackages =
    (with pkgs; [
      # Custom tools
      rebuild
      rebuild-no-inhibit
      install-nix
      install-nix-no-inhibit
      update
      upgrade
      # simple-completion-language-server

      # System tools
      age
      alejandra
      e2fsprogs
      git
      git-filter-repo
      pre-commit
      helix
      home-manager
      htop
      just
      killall
      oh-my-zsh
      rsync
      tre-command
      wget
      zsh
      tldr

      # System libraries
    ])
    ++ (with pkgs-edge; [
      # list of latest packages from nixpkgs master
      # Can be used to install latest version of some packages
    ]);

  # fonts = {
  #   packages = with pkgs; [
  #     noto-fonts-emoji-blob-bin
  #     cantarell-fonts
  #     dejavu_fonts
  #     fira-code
  #     noto-fonts
  #     noto-fonts-cjk-sans
  #     noto-fonts-cjk-serif
  #     paratype-pt-sans
  #     paratype-pt-mono
  #     paratype-pt-serif
  #     roboto
  #     twemoji-color-font
  #     font-awesome
  #     atkinson-hyperlegible
  #     fira-code-nerdfont
  #   ];
  #   enableDefaultPackages = false;
  # };
}
